summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:28:45 +0000
committerBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:28:45 +0000
commit355a70d315223f073b2aef9ce3c7fc758d2b7d84 (patch)
tree2395ec0ddf8b11073d229941be30c2691da9c79e
parentheader (diff)
...
-rw-r--r--gentoo-linux/net-misc/anytun/Manifest2
-rw-r--r--gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild25
2 files changed, 13 insertions, 14 deletions
diff --git a/gentoo-linux/net-misc/anytun/Manifest b/gentoo-linux/net-misc/anytun/Manifest
index 03c2767..4b31b21 100644
--- a/gentoo-linux/net-misc/anytun/Manifest
+++ b/gentoo-linux/net-misc/anytun/Manifest
@@ -1,5 +1,5 @@
AUX anytun-0.3.1.init 4741 RMD160 41021c9336fe037b4b7b76bafbe0cbc343366570 SHA1 a5b9803db65a8e2ccb881818e6d7bda0401bd475 SHA256 946a48cfae01976469f33aba4d3b281d6ae1cd1dc69f1f57d227c85a2e2e3e44
DIST anytun-0.3.1.tar.gz 133451 RMD160 0750f681887dcfc527fbf92f525e16b8ab5bfa47 SHA1 7489ebff5b5cefe909e7f187feae783b874ab614 SHA256 e696b2b6767753234df21dbfce8d994d4a9bbb75e9f3f360081d25ece5eb80c6
-EBUILD anytun-0.3.1.ebuild 3650 RMD160 7538e1bc71d01b71e999c56b7ee71c1ae4700f0f SHA1 a7b18cd131a9083caf0e81ddefed01b68eeab98f SHA256 c3163652ad40548ff632fa8acc009c5e45b623da29f5edd9a321d111900cf356
+EBUILD anytun-0.3.1.ebuild 3765 RMD160 217ed11a15bcc731b46caa101b74ed11ebff57c5 SHA1 ccc112d88aeded4bbe7fc03f519f628affc583df SHA256 d0f1a8b9da8adeeef0d2b26ffadee6ace33eb67e1c2d5c03ac3d33543cb34158
MISC Changelog 406 RMD160 2184da223d8570f34a92fbc29da7cbd44d697bcf SHA1 884dd5d5141281db088621d6771063304abaa6d0 SHA256 708c2120f2991224f9cbb99741985d635dc2c65a6674c39355f359f0d1d98554
MISC metadata.xml 739 RMD160 a3f44fec55b7ccc9ade4640dc302f4f1bc529c2e SHA1 d6c4cb20903caa2c4e2edb10dcb190effa7c404a SHA256 5e41b27c1e4bb64f13014d1ca9d9a74529d820026be8f3b75aea0909a4480364
diff --git a/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild b/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
index 077d6f8..920a9b5 100644
--- a/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
+++ b/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
@@ -17,11 +17,13 @@ DEPEND=">=dev-libs/boost-1.35
!gcrypt? ( >=dev-libs/openssl-0.9.6 )
doc? ( <app-text/asciidoc-8.5.0 )" # asciidoc a2x <= 8.5.0 requires the -L switch
RDEPEND="${DEPEND}"
+S="${WORKDIR}/${P}/src"
src_compile() {
- cd "${S}/src"
local myconf=""
use gcrypt || myconf="${myconf} --use-ssl-crypto"
+ # anytun's configure right now only takes 1! option (no --prefix etc), so econf would be too
+ # much for your little script and the build would fail
#econf ${myconf} || die "configure failed"
./configure ${myconf} || die "configure failed"
emake || die "make failed"
@@ -32,26 +34,23 @@ src_compile() {
}
src_install() {
- cd "${S}/src"
+ local pkgroot="${WORKDIR}/${P}"
dosbin anytun || die "failed to copy/install an executable"
dobin anytun-config anytun-controld anytun-showtables anytun-nosync || die "failed to copy/install an executable"
newinitd "${FILESDIR}/${PN}-0.3.1.init" anytun || die "failed to copy/install initrd script"
- #insinto /etc/default/
- #doins ${S}/etc/default/* || die "failed to copy/install defaults"
insinto /usr/share/${P}/wireshark-lua/
- doins ${S}/wireshark-lua/* || die "failed to install wireshark-lua contrib script"
+ doins ${pkgroot}/wireshark-lua/* || die "failed to install wireshark-lua contrib script"
dodir /var/run/anytun || die "failed to mkdir"
keepdir /var/run/anytun
dodir /var/run/anytun-controld || die "failed to mkdir"
keepdir /var/run/anytun-controld
if use examples; then
insinto /usr/share/doc/${PF}/etc-anytun-examples/
- doins -r ${S}/etc/anytun/* || die "failed to install examples"
+ doins -r ${pkgroot}/etc/anytun/* || die "failed to install examples"
fi
if use doc; then
- cd ${S}
- dodoc AUTHORS ChangeLog LICENSE README || die "failed to install docs"
- cd ${S}/src/man/
+ dodoc ${pkgroot}/AUTHORS ${pkgroot}/ChangeLog ${pkgroot}/LICENSE ${pkgroot}/README || die "failed to install docs"
+ cd ${S}/man/
doman anyrtpproxy.8 anytun-config.8 anytun-controld.8 anytun-showtables.8 anytun.8 || die "failed to install manpages"
prepallman || die "failed to prep manpages"
fi
@@ -73,14 +72,14 @@ pkg_postinst() {
einfo " /usr/share/doc/${PF}/etc-anytun-examples/"
einfo "You can copy them to /etc/anytun using"
einfo "> emerge --config anytun"
- einfo ""
+ einfo
else
einfo "You did not install examples."
einfo "If you need example configs to get you started, "
einfo "you can extract them from the anytun.tar.gz or "
einfo "e.g.: tar xzv --strip-components 3 -f ${DISTDIR}/${P}.tar.gz -C /etc/anytun/ ${P}/etc/anytun"
einfo "or visit the anytun wiki online"
- einfo ""
+ einfo
fi
einfo "Note that each VPN gets it's own directory under /etc/anytun/"
einfo "You can either add tunnels to /etc/anytun/autostart and"
@@ -88,12 +87,12 @@ pkg_postinst() {
einfo "Or you can forget the autostart file and create"
einfo "gentoo-style anytun.{VPN} initrd scripts for each VPN"
einfo "e.g.> ln -s /etc/init.d/anytun /etc/init.d/anytun.client1"
- einfo ""
+ einfo
einfo "Don't forget to "
einfo "> rc-update add anytun default"
einfo "or"
einfo "> rc-update add anytun.client1 default"
- einfo ""
+ einfo
einfo "You can disect anytun traffic using wireshark by plugging the script"
einfo "/usr/share/${P}/wireshark-lua/satp.lua into wireshark"
}